Last modified: 2014-07-28 17:14:16 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 65834 - Review & deploy mediawiki/extensions/FundraisingChart
Review & deploy mediawiki/extensions/FundraisingChart
Status: NEW
Product: Wikimedia
Classification: Unclassified
Extension setup (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on: 66805 68510 66803 66806 66834 66835 66836
Blocks: 31235
  Show dependency treegraph
 
Reported: 2014-05-27 22:11 UTC by Sherah Smith
Modified: 2014-07-28 17:14 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Sherah Smith 2014-05-27 22:11:37 UTC
FundraisingChart is a tag extension that provides embeddable charts for Fundraising datasets.
Comment 2 Greg Grossmeier 2014-05-28 15:28:48 UTC
From: https://www.mediawiki.org/wiki/Review_queue

== Checklist ==
=== Done ===
# Create Extension: mediawiki.org page for developers and people who will install or configure the extension.
# Get the extension code in [[Gerrit]].

=== Not Done ===
(as far as I can tell)

# Request a component in [[Bugzilla]].
# Request (and respond to) a performance review
# Request (and respond to) a security review
Comment 3 Sam Reed (reedy) 2014-06-19 12:42:45 UTC
Where is the extension destined to be deployed?
Comment 4 Sherah Smith 2014-07-01 00:15:35 UTC
(In reply to Sam Reed (reedy) from comment #3)
> Where is the extension destined to be deployed?

Sorry, collab and meta
Comment 5 Sherah Smith 2014-07-23 23:35:32 UTC
Any update for this? Fundraising is hoping to use this extension for our fiscal year-end report, which will be published at the end of August. Thanks!
Comment 6 Sam Reed (reedy) 2014-07-23 23:40:35 UTC
(In reply to Sherah Smith from comment #5)
> Any update for this? Fundraising is hoping to use this extension for our
> fiscal year-end report, which will be published at the end of August. Thanks!

I've opened a couple of cleanup bugs, which seemingly haven't been touched yet.

Getting those fixed up would be nice. I can give the code another code pass

I suspect a performance review isn't so much required (or at least, isn't so important) as the extension isn't doing a load of DB queries for example
Comment 7 Sherah Smith 2014-07-28 17:14:16 UTC
(In reply to Sam Reed (reedy) from comment #6)
> (In reply to Sherah Smith from comment #5)
> > Any update for this? Fundraising is hoping to use this extension for our
> > fiscal year-end report, which will be published at the end of August. Thanks!
> 
> I've opened a couple of cleanup bugs, which seemingly haven't been touched
> yet.
> 
> Getting those fixed up would be nice. I can give the code another code pass
> 
> I suspect a performance review isn't so much required (or at least, isn't so
> important) as the extension isn't doing a load of DB queries for example

Great! Thanks for the update. Will be working on cleaning this up this week between pre-Wikimania crunch tasks. :)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links